Skip to main content
`Ctrl`+`K`

# PetscDrawArrow

draws a line with arrow head at end if the line is long enough

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawArrow(PetscDraw draw, PetscReal xl, PetscReal yl, PetscReal xr, PetscReal yr, int cl)

Not Collective

## Input Parameters

- draw - the drawing context

- xl - horizontal coordinate of first end point

- yl - vertical coordinate of first end point

- xr - horizontal coordinate of second end point

- yr - vertical coordinate of second end point

- cl - the colors of the endpoints

## See Also

`PetscDraw`, `PetscDrawLine()`, `PetscDrawLineSetWidth()`, `PetscDrawLineGetWidth()`, `PetscDrawRectangle()`, `PetscDrawTriangle()`, `PetscDrawEllipse()`, `PetscDrawMarker()`, `PetscDrawPoint()`

## Level

beginner

## Location

src/sys/classes/draw/interface/dline.c

## Implementations

PetscDrawArrow_Image() in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawArrow_Null() in src/sys/classes/draw/impls/null/drawnull.c
PetscDrawArrow_X() in src/sys/classes/draw/impls/x/xops.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages